snmp2_walk
snmp3_getnext
SNMP Functions
PHP Manual

# snmp3_get

Fetch an SNMP object

### Description

string snmp3_get ( string `$host` , string `$sec_name` , string `$sec_level` , string `$auth_protocol` , string `$auth_passphrase` , string `$priv_protocol` , string `$priv_passphrase` , string `$object_id` [, string `$timeout` = 1000000 [, string `$retries` = 5 ]] )

The snmp3_get function is used to read the value of an SNMP object specified by the `object_id`.

### Parameters

`host`

  The hostname of the SNMP agent (server).

`sec_name`

  the security name, usually some kind of username

`sec_level`

  the security level (noAuthNoPriv|authNoPriv|authPriv)

`auth_protocol`

  the authentication protocol (MD5 or SHA)

`auth_passphrase`

  the authentication pass phrase

`priv_protocol`

  the privacy protocol (DES or AES)

`priv_passphrase`

  the privacy pass phrase

`object_id`

  The SNMP object id.

`timeout`

  The number of microseconds until the first timeout.

`retries`

  The number of times to retry if timeouts occur.

### Return Values

Returns SNMP object value on success or `FALSE` on error.

### Examples

Example #1 Using snmp3_get

`<?php
$nameOfSecondInterface = snmp3_get('localhost', 'james', 'authPriv', 'SHA', 'secret007', 'AES', 'secret007', 'IF-MIB::ifName.2');
?>`

### See Also

- snmp3_set